<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dk="kelis.fr:dokiel" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="sc sp dk">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<div class="nodeRoot{if(count(sp:node)&gt;0,' nodeChildren_show','')}">
			<div class="nodeLblFra nodeChildren_{ceiling(count(sp:node) div 5)}">
				<xsl:value-of select="getContent(currentModel(),'lbl')" disable-output-escaping="yes"/>
				<xsl:if test="sp:description">
					<a href="#{concat('treeDesc',alphaHash(getIdNode(..)))}" title="Aller à la description" class="descLnk" id="{concat('treeNodeLnk',alphaHash(getIdNode(..)))}">
						<span>
							<xsl:value-of select="round(java:hIncreaseOne(getEntryBuffer('treeCounters','workDescs')))"/>
						</span>
					</a>
				</xsl:if>
			</div>
			<xsl:if test="sp:node">
				<div class="nodeChildren">
					<xsl:apply-templates select="sp:node[position() = last()]"/>
				</div>
			</xsl:if>
		</div>
	</xsl:template>
	<xsl:template match="sp:node">
		<div class="nodeChild">
			<div class="nodeChild_pre">
				<xsl:if test="count(preceding-sibling::sp:node)&gt;0">
					<xsl:apply-templates select="preceding-sibling::sp:node[1]"/>
				</xsl:if>
			</div>
			<div class="nodeChild_co">
				<xsl:choose>
					<xsl:when test="@sc:refUri">
						<xsl:variable name="vId" select="alphaHash(concat('treeNode',getIdFromPath(@sc:refUri)))"/>
						<xsl:choose>
							<xsl:when test="setEntryBuffer('treeMap',$vId)">
								<xsl:attribute name="id">treeNode<xsl:value-of select="$vId"/>
								</xsl:attribute>
								<div class="nodeLead">
									<xsl:call-template name="addLeadSpacer">
										<xsl:with-param name="vIdx" select="count(preceding-sibling::sp:node)"/>
									</xsl:call-template>
								</div>
								<xsl:value-of select="getContent(gotoSubModel(.),'node')" disable-output-escaping="yes"/>
							</xsl:when>
							<xsl:otherwise>
								<div class="nodeLead">
									<xsl:call-template name="addLeadSpacer">
										<xsl:with-param name="vIdx" select="count(preceding-sibling::sp:node)"/>
									</xsl:call-template>
								</div>
								<div class="nodeRefFra">
									<div class="nodeRef">
										<a class="nodeRefLnk" href="#treeNode{$vId}" title="Aller au nœud lié">
											<em>Voir : <xsl:value-of select="getContent(gotoSubModel(.), 'title')" disable-output-escaping="yes"/>
											</em>
										</a>
									</div>
								</div>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<div class="nodeLead">
							<xsl:call-template name="addLeadSpacer">
								<xsl:with-param name="vIdx" select="count(preceding-sibling::sp:node)"/>
							</xsl:call-template>
						</div>
						<xsl:value-of select="getContent(gotoSubModel(.),'node')" disable-output-escaping="yes"/>
					</xsl:otherwise>
				</xsl:choose>
			</div>
			<span class="nodeSpacer"/>
		</div>
	</xsl:template>
	<xsl:template name="addLeadSpacer">
		<xsl:param name="vIdx"/>
		<span class="nodeLeadSpacer"/>
		<xsl:if test="$vIdx&gt;0">
			<xsl:call-template name="addLeadSpacer">
				<xsl:with-param name="vIdx" select="$vIdx - 1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>