<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:dk="kelis.fr:dokiel"
		xmlns:pw="scpf.org:presWsp"
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sc sp xalan dk">
	
	<xsl:output encoding="UTF-8" method="xml"/>
<!--
	<xsl:template match="/*">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->
	
	<xsl:template match="dk:userGuide">
		<dk:userGuide>
			<xsl:apply-templates select="dk:rootMeta"/>
			<xsl:apply-templates select="dk:rootMeta/sp:desc" mode="webRoot"/>
			<xsl:apply-templates select="sp:intro" mode="dkcomment"/>
			<xsl:apply-templates select="sp:subSection |sp:section" />
			<xsl:apply-templates select="sp:conclu" mode="dkcomment"/>
		</dk:userGuide>
	</xsl:template>
	
	<xsl:template match="dk:rootMeta">
		<dk:userGuideM>
			<sp:title>
				<xsl:value-of select="sp:title"/>
			</sp:title>
		</dk:userGuideM>
<!--		préparation des metas pour copier coller dans les modeles racines-->
		<dk:webRootM>
			<xsl:apply-templates select="sp:longTitle | sp:editorLogo"/>
			<sp:rootM>
				<dk:rootM>
					<xsl:apply-templates select="sp:version | sp:date | sp:editor | sp:author | sp:copyright | sp:licence"/>
				</dk:rootM>
			</sp:rootM>
		</dk:webRootM>
		<dk:odRootM>
			<xsl:apply-templates select="sp:longTitle | sp:img | sp:editorLogo"/>
			<sp:rootM>
				<dk:rootM>
					<xsl:apply-templates select="sp:version | sp:date | sp:editor | sp:author | sp:copyright | sp:licence"/>
				</dk:rootM>
			</sp:rootM>
		</dk:odRootM>
		<!--<xsl:apply-templates select="sp:desc" mode="commentXML"/>-->
	</xsl:template>
	
<!--	<xsl:template match="sp:desc" mode="commentXML">
		<xsl:comment>
			<xsl:copy>
				<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
		</xsl:comment>
	</xsl:template>
-->	
	<xsl:template match="sp:desc" mode="webRoot">
		<sp:desc>
			<dk:comment>
				<sp:infobloc>
					<dk:flowAll>
						<sp:txt>							
							<xsl:apply-templates select="dk:textSimple" mode="toDkText"/>
						</sp:txt>
					</dk:flowAll>
				</sp:infobloc>
			</dk:comment>
		</sp:desc>
	</xsl:template>
	
	<xsl:template match="dk:textSimple" mode="toDkText">
		<dk:text>
			<xsl:apply-templates />
		</dk:text>
	</xsl:template>
	
	<xsl:template match="sp:intro" mode="dkcomment">
		<sp:intro>
			<xsl:apply-templates select="dk:content" mode="dkcomment"/>
		</sp:intro>
	</xsl:template>
	<xsl:template match="sp:conclu" mode="dkcomment">
		<sp:conclu>
			<xsl:apply-templates select="dk:content" mode="dkcomment"/>
		</sp:conclu>
	</xsl:template>
	<xsl:template match="dk:content" mode="dkcomment">
		<dk:comment>
			<xsl:apply-templates />
		</dk:comment>
	</xsl:template>
	
<!--	suppression des alonesectionmeta-->
	<xsl:template match="sp:section" >
		<sp:subSection sc:refUri="{@sc:refUri}"  />
		<xsl:comment>
			<xsl:apply-templates />
		</xsl:comment>
	</xsl:template>
	
	<!--
	<xsl:template match="sp:longTitle | sp:editorLogo | sp:img">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->
	




	<!-- ### 
		   # Cas général : on copie
		   ### -->
	<!--<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->
		
</xsl:stylesheet>
