<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    xmlns:dk="kelis.fr:dokiel"
    xmlns:xalan="http://xml.apache.org/xalan"
    xmlns:redirect="org.apache.xalan.lib.Redirect" 
    extension-element-prefixes="redirect"
    exclude-result-prefixes="sc sp xalan ">
    
    <xsl:output encoding="UTF-8" method="xml"/>
    
    <xsl:param name="pCurrentItemUri"/>
    <xsl:param name="pWspPath"/>
    
<!--    <xsl:template match="/*">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>-->
    
    
    <xsl:template match="dk:concept">
        <dk:concept>
            <sp:def>
                <xsl:apply-templates select="sp:def" mode="concept"/>
            </sp:def>
            <xsl:choose>
                <xsl:when test="count(sp:desc)>0">
                    <sp:desc>
                        <dk:comment>
                            <xsl:apply-templates select="sp:desc" mode="flat" />
                        </dk:comment>
                    </sp:desc>
                </xsl:when>
                <xsl:otherwise />                
            </xsl:choose>
        </dk:concept>
    </xsl:template>
    
    <xsl:template match="sp:def" mode="concept">
        <xsl:choose>
            <xsl:when test="count(preceding-sibling::sp:def)=0">
                <xsl:choose>
                    <xsl:when test="@sc:refUri"><!-- item externalisé -->
                        <xsl:attribute name="sc:refUri">
                            <xsl:value-of select="@sc:refUri"/>
                        </xsl:attribute>
                    </xsl:when>
                    <xsl:otherwise><!-- item internalisé -->
                        <xsl:apply-templates />
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
                <xsl:comment>
                    <xsl:apply-templates />
                </xsl:comment>
            </xsl:otherwise>
        </xsl:choose>
        
    </xsl:template>
    
    <xsl:template match="sp:desc" mode="flat">
        <xsl:apply-templates mode="flat" />
    </xsl:template>
    
    <xsl:template match="dk:content" mode="flat">
            <xsl:apply-templates mode="flat"/>
    </xsl:template>
    
    <xsl:template match="sp:infobloc | sp:warning | sp:advice | sp:tip | sp:example | sp:note | sp:legal | sp:complement" mode="flat">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="sp:op | sp:def | sp:window" mode="flat">
        <xsl:variable name="vFilePathAlt">
            <xsl:value-of select="concat($pWspPath,'/',$pCurrentItemUri, '.', generate-id(), '.xml')"/>
        </xsl:variable>
        <xsl:variable name="vFileUriAlt">
            <xsl:value-of select="concat('/',$pCurrentItemUri, '.', generate-id(), '.xml')"/>
        </xsl:variable>
            <!--<xsl:call-template name="tShowMessage">
                <xsl:with-param name="pMessage">création de : <xsl:value-of select="$vFileUriAlt"/>, <xsl:value-of select="local-name()"/> non parsé, n'est plus autorisé dans un concept</xsl:with-param>
                <xsl:with-param name="pType" select="'warning'"/>
            </xsl:call-template>-->
            <xsl:comment>
                créée dans : <xsl:value-of select="$vFileUriAlt"/>
                balise non parsée :  
                <xsl:choose>
                    <xsl:when test="@sc:refUri"><!-- item externalisé -->
                        <xsl:value-of select="local-name(document(concat($pWspPath,'/',@sc:refUri))/*/*[1])"/>
                    </xsl:when>
                    <xsl:otherwise><!-- item internalisé -->
                        <xsl:value-of select="local-name(*[1])"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:comment>
            <redirect:write file="{$vFilePathAlt}" append="true">
                <sc:item xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
                    <xsl:apply-templates />
                </sc:item>
            </redirect:write>
    </xsl:template>
    
    <!-- ### 
        # Cas général : on copie
        ### -->
<!--    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>-->
    
</xsl:stylesheet>
