<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    xmlns:dk="kelis.fr:dokiel"
    xmlns:xalan="http://xml.apache.org/xalan"
    exclude-result-prefixes="sc sp xalan">
    <xsl:output encoding="UTF-8" method="xml"/>
  <!--  
    <xsl:template match="/*">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>-->
    
    
    <xsl:template match="dk:content">
        <dk:content>
            <xsl:apply-templates />
        </dk:content>
    </xsl:template>
 
 <!--On change la forme de part qui est externalisable-->
 
    <xsl:template match="sp:part">
        <sp:part>
            <dk:part>
                <xsl:apply-templates select="dk:sTitle" />
                <sp:co>
                    <xsl:apply-templates select="dk:content" />
                </sp:co>
            </dk:part>
         </sp:part>
      </xsl:template>
 
 <!--On passe les seeAlso dans le flowAll-->
 
     <xsl:template match="dk:content/sp:seeAlso">
         <sp:infobloc>
             <dk:flowAll>
                 <xsl:copy>
                     <xsl:apply-templates select="@*|node()"/>
                 </xsl:copy>
             </dk:flowAll>
         </sp:infobloc>
     </xsl:template>
 
 <!-- On supprime window-->
 
    <xsl:template match="sp:window">
        <xsl:choose>
            <xsl:when test="@sc:refUri">
                <sp:part>
                <dk:part>
                    <dk:sTitle>
                        <sc:fullTitle>Ecran <xsl:value-of select="@sc:refUri"/></sc:fullTitle>
                    </dk:sTitle>
                   <!-- <xsl:call-template name="tShowMessage">
                        <xsl:with-param name="pMessage">Les ressources de type '<xsl:value-of select="local-name()"/>' ne sont plus autorisées dans ce contexte. Inserez le contenu de l'écran : <xsl:value-of select="@sc:refUri"/></xsl:with-param>
                        <xsl:with-param name="pType" select="'warning'"/>
                    </xsl:call-template>-->
                    <xsl:comment>
                        Inserez le contenu de l'écran : <xsl:value-of select="@sc:refUri"/>
                    </xsl:comment>
                    <sp:co />
                </dk:part>
                </sp:part>
            </xsl:when>
            <xsl:otherwise>
                <sp:part>
                    <xsl:apply-templates mode="toPart" />
                </sp:part>   
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
    
    <xsl:template match="dk:window" mode="toPart">
        <dk:part>
            <xsl:apply-templates select="dk:title" mode="sTitle" />
            <sp:co>
                <dk:content>
                    <xsl:apply-templates select="sp:intro | sp:role | dk:comment | dk:content | sp:img | sp:overview" mode="inPart" />
                </dk:content>
            </sp:co>
            <xsl:comment>
                <xsl:apply-templates select="sp:menu | sp:button | sp:buttons | sp:area | sp:transition" />
            </xsl:comment>
        </dk:part>
    </xsl:template>
    
    <xsl:template match="dk:title" mode="sTitle">
        <dk:sTitle>
            <xsl:apply-templates select="sc:fullTitle" />
        </dk:sTitle>
    </xsl:template>
    
    <xsl:template match="sp:intro | sp:role" mode="inPart">
        <xsl:apply-templates mode="inPart" />
    </xsl:template>
    
    <xsl:template match="dk:comment | dk:content" mode="inPart">
      <xsl:apply-templates />
    </xsl:template>
    
    <xsl:template match="sp:img | sp:overview" mode="inPart">
        <sp:infobloc>
            <dk:flowAll>
                <sp:fig sc:refUri="{@sc:refUri}" />
            </dk:flowAll>
        </sp:infobloc>
    </xsl:template>
    

    
    <!-- ### 
        # Cas général : on copie
        ### --><!--
    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>-->
    
</xsl:stylesheet>
