<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:dk="kelis.fr:dokiel"
	xmlns:redirect="com.scenari.xsldtm.xalan.lib.Redirect" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	extension-element-prefixes="redirect"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xalan">
	
	<xsl:output encoding="UTF-8" method="xml"/>
	
	<!--	###  maj des liens vers les items de type ref dont les extensions ont changé ###-->
	
	<!--	<xsl:template match="/*">
		<xsl:copy>
		<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
		</xsl:template>-->
	
	
	
	<xsl:template match="sc:uLink[@role='def']">
		<xsl:variable name="vNewExt">ref</xsl:variable>
		<xsl:variable name="vOldUri" select="@sc:refUri"/>
		<xsl:call-template name="tShowMessage">
			<xsl:with-param name="pMessage">
				Les définitions ont changé d'extension (.ref)
			</xsl:with-param>
		</xsl:call-template>
		<sc:uLink role="def" sc:refUri="{java:com.scenari.m.co.ant.MigrateXslTask.replaceExtension($vOldUri, $vNewExt)}">
			<xsl:apply-templates select="node() | @*[name()!='role' and name()!='sc:refUri']"/>
		</sc:uLink>
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='ref']">
		<xsl:variable name="vNewExt">ref</xsl:variable>
		<xsl:variable name="vOldUri" select="@sc:refUri"/>
		<xsl:call-template name="tShowMessage">
			<xsl:with-param name="pMessage">
				Les références ont changé d'extension (.ref)
			</xsl:with-param>
		</xsl:call-template>
		<sc:uLink role="ref" sc:refUri="{java:com.scenari.m.co.ant.MigrateXslTask.replaceExtension($vOldUri, $vNewExt)}">
			<xsl:apply-templates select="node() | @*[name()!='role' and name()!='sc:refUri']"/>
		</sc:uLink>
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='doc']">
		<xsl:variable name="vNewExt">ref</xsl:variable>
		<xsl:variable name="vOldUri" select="@sc:refUri"/>
		<xsl:call-template name="tShowMessage">
			<xsl:with-param name="pMessage">
				Les références ont changé d'extension (.ref)
			</xsl:with-param>
		</xsl:call-template>
		<sc:uLink role="doc" sc:refUri="{java:com.scenari.m.co.ant.MigrateXslTask.replaceExtension($vOldUri, $vNewExt)}">
			<xsl:apply-templates select="node() | @*[name()!='role' and name()!='sc:refUri']"/>
		</sc:uLink>
	</xsl:template>
	
	<!-- ### 
		# Cas général : on copie
		### --><!--
		<xsl:template match="@*|node()">
		<xsl:copy>
		<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
		</xsl:template>-->
	
</xsl:stylesheet>
