/* Doctek page manager */
var tplMgr = {
	fCbkInit : true,
	fCbkPath : "des:.cbkClosed",
	fAbsPath : "des:.nestedTopics|.idxEntryCo/des:.abstract",
	fBkBtnPath : "des:.outBkBtn/des:a",

	init : function(){
		scCoLib.util.log("tplMgr.init");

		var vPageName = scServices.scLoad.getUrlFromRoot(scCoLib.hrefBase());
		if (window.frameElement && window.frameElement.loadPage){
			window.frameElement.loadPage(vPageName, document.title);
		} else {
			scCoLib.util.log("WARNING: no loadPage");
			var vLinks = document.getElementsByTagName("link");
			if (!window.frameElement) for (var i=0; i< vLinks.length; i++){if (vLinks[i].getAttribute("rel").indexOf("start")==0) window.location.replace(vLinks[i].href+"?p="+vPageName)}
		}
		this.fStore = window.frameElement.fStore;
		var vHash = window.location.hash;
		if (vHash.length>0); vHash = vHash.substring(1);
		
		// Close collapsable blocks that are closed by default.
		if (this.fCbkInit){
			var vCbks = scPaLib.findNodes(this.fCbkPath);
			for (var i in vCbks) {
				if (!vHash || vHash && vHash != scPaLib.findNode("chi:", vCbks[i]).id) {
					var vTgl = scPaLib.findNode("des:a", vCbks[i]);
					if (vTgl) vTgl.onclick();
				}
			}
		}
		//Section outline
		this.fSecOutCo = scPaLib.findNode("ide:content/des:div.secOutFra/chi:div.secOutUi/chi:ol");
		if(this.fSecOutCo){
			this.fSecOutBtn = scPaLib.findNode("ide:content/des:div.secOutFra/chi:div.secOutTi/chi:a");
			if(this.fStore && this.fStore.get("secOutCollapse")=="true") this.secOutToggle();
		}

		// Suppression du menu sur les pages qui ont la classe noMenu
		var vIsNotMenu = scPaLib.findNode("des:.noMenu");
		if(vIsNotMenu && window.parent && window.parent.frameMgr) window.parent.frameMgr.toggleMenu(true);
		else window.parent.frameMgr.toggleMenu(false);
		
		if ("scTooltipMgr" in window ) {
			scTooltipMgr.addShowListener(this.sTtShow);
			scTooltipMgr.addHideListener(this.sTtHide);
		}
		if (window.parent && window.parent.frameMgr) this.fStore = window.parent.frameMgr.fStore;
		scOnLoads[scOnLoads.length] = this;
		scOnUnloads[scOnUnload.length] = this;
	},
	secOutToggle : function() {
		if (!this.fSecOutCo || !this.fSecOutBtn) return false;
		//scCoLib.util.log("tplMgr.secOutToggle");
		scDynUiMgr.collBlkToggle(this.fSecOutBtn,this.fSecOutCo,"secOut_op","secOut_cl");
		if (this.fStore) this.fStore.set("secOutCollapse", this.fSecOutCo.style.display == "none");
		return false;
	},
	onLoad : function(){
		scCoLib.util.log("tplMgr.onLoad");
	},
	onUnload : function(){
		if (window.frameElement && window.frameElement.unloadPage) window.frameElement.unloadPage();
	},
	mediaFallback: function(pMedia) {
		while (pMedia.firstChild) {
			if (pMedia.firstChild instanceof HTMLSourceElement) {
				pMedia.removeChild(pMedia.firstChild);
			} else {
				pMedia.parentNode.insertBefore(pMedia.firstChild, pMedia);
			}
		}
		pMedia.parentNode.removeChild(pMedia);
	},

/* === Callback functions =================================================== */
	/** Tooltip lib show callback */
	sTtShow: function(pNode) {
		var vClsBtn = scPaLib.findNode("des:a.tt_x", scTooltipMgr.fCurrTt);
		if (vClsBtn) window.setTimeout(function(){vClsBtn.focus();}, pNode.fOpt.DELAY + 10);
	},
	/** Tooltip lib hide callback : this = scTooltipMgr */
	sTtHide: function(pNode) {
		if (pNode) pNode.focus();
	},
	
/* === Utilities ============================================================ */
	/** tplMgr.xAddBtn : Add a HTML button to a parent node. */
	xAddBtn : function(pParent, pClassName, pCapt, pTitle, pNxtSib) {
		var vBtn = pParent.ownerDocument.createElement("a");
		vBtn.className = pClassName;
		vBtn.fName = pClassName;
		vBtn.href = "#";
		vBtn.target = "_self";
		if (pTitle) vBtn.setAttribute("title", pTitle);
		if (pCapt) vBtn.innerHTML = "<span>" + pCapt + "</span>"
		if (pNxtSib) pParent.insertBefore(vBtn,pNxtSib)
		else pParent.appendChild(vBtn);
		return vBtn;
	},

	/** tplMgr.xSwitchClass - replace a class name. */
	xSwitchClass : function(pNode, pClassOld, pClassNew, pAddIfAbsent, pMatchExact) {
		var vAddIfAbsent = typeof pAddIfAbsent == "undefined" ? false : pAddIfAbsent;
		var vMatchExact = typeof pMatchExact == "undefined" ? true : pMatchExact;
		var vClassName = pNode.className;
		var vReg = new RegExp("\\b"+pClassNew+"\\b");
		if (vMatchExact && vClassName.match(vReg)) return;
		var vClassFound = false;
		if (pClassOld && pClassOld != "") {
			if (vClassName.indexOf(pClassOld)==-1){
				if (!vAddIfAbsent) return;
				else if (pClassNew && pClassNew != '') pNode.className = vClassName + " " + pClassNew;
			} else {
				var vCurrentClasses = vClassName.split(' ');
				var vNewClasses = new Array();
				for (var i = 0, n = vCurrentClasses.length; i < n; i++) {
					var vCurrentClass = vCurrentClasses[i];
					if (vMatchExact && vCurrentClass != pClassOld || !vMatchExact && vCurrentClass.indexOf(pClassOld) != 0) {
						vNewClasses.push(vCurrentClasses[i]);
					} else {
						if (pClassNew && pClassNew != '') vNewClasses.push(pClassNew);
						vClassFound = true;
					}
				}
				pNode.className = vNewClasses.join(' ');
			}
		}
		return vClassFound;
	}

}


